For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve Charge Codes
      • POSTCreate Project Charge Code
      • PUTUpdate Project Charge Code
      • DELDelete Project Charge Code
LogoLogo
SupportContact salesStart free trial
API ReferenceProject Charge Code

Update Project Charge Code

PUT
https://api.projectmanager.com/api/data/projects/chargecodes/:chargeCodeId
PUT
/api/data/projects/chargecodes/:chargeCodeId
$curl -X PUT https://api.projectmanager.com/api/data/projects/chargecodes/chargeCodeId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "id": "string",
15 "name": "string",
16 "isActive": true
17 }
18}
Update a project charge code
Was this page helpful?
Previous

Delete Project Charge Code

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

chargeCodeIdstringRequiredformat: "uuid"
The id of the charge code

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

The data to update the charge code
namestringOptional
The name of this Project Charge Code

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
A ChargeCode is a code used to identify costs within your Projects. Each ChargeCode has a name and a unique identifier. ChargeCodes are defined per Workspace and are shared among Projects.